MINTEGRATE(1)

NAME
mintegrate - evaluate average/sum/integral/derivative of 1-d numerical data

SYNOPSIS
mintegrate [OPTION]... [FILE]

DESCRIPTION
mintegrate is a program to compute averages, sums, integrals or derivatives of numerical 1-d data in situations where ultimate numerical precision is not needed.

OPTIONS

-a  compute mean value (arithmetic average) and standard deviation

-c  compute integral on closed x-data interval; In case that dx is not specified by the '-d' flag, the data are supposed to be from an irregular x-grid, and dx is computed separately for every x-interval. The integral is computed by the trapezoidal rule.

-d <float>
    compute integral on open x-data interval with the specified dx; Can be used also in combination with '-D' and '-c'.

-D  compute difference btw. numbers or derivative of the y-data; In the default scenario where x- and y-data column are same, the difference btw. the current and the previous data value will be output. In this case when '-d' is defined as 0, the x-data value will be print out in front of the calculated difference. If x-and the y-column are different and if the x-data resolution is not defined or it is !=0, then the derivative of the y-data is calculated. When the x-data resolution is constant, specify it explicitly by '-d' to achieve a higher numerical precision by a 'leapfrog' algorithm.

-x <int>
    x-data column (default is 1). If 0, the x-range is an index;

-y <int>
    y-data column, where y=f(x) (default is 1)

-r x_0:x_1
    x-data range to consider

-s  print out accumulated y_i sums: x_i versus accumulated f(x_i); In the case of a closed integral you have to specify also the x-data resolution dx (see '-d' above).

-S  compute the accumulated y_i-sums and add it to the output

-p <str>
    print format of the result ("%.10g" is default)

-t <str>
    output text in front of the result (invalid with '-s' or '-S'); A blank can be printed by using a double underscore character

-F <str>
    sets the field separator (default is a single space character) '__'.

-T  run a self-test that the program is working correctly

-V  print version number

--version
    output version and license message

--help|-H
    display help

-h  display short help (options summary)

If none of the options '-a', '-D', '-d', or '-c' is used, then the sum of the provided data will be computed. Empty lines or lines starting with '#' are skipped.

This program is perfectly suitable as a basic tool for initial data analysis and will meet the expected accuracy of a numerical solution for the most demanding computer users and professionals. Yet be aware that, although the computations are carried with double floating precision, the computational techniques used for evaluating an integral or a standard deviation are analytically low-order approximations, and thus not intended to be used for numerical computations in engineering or mathematical sciences for cases where an ultimate numerical precision is a must. For deeper understanding of the topic see http://en.wikipedia.org/wiki/Numerical_analysis.

COPYRIGHT
Copyright © 1997, 2001, 2006-2007, 2009, 2011-2014 Dimitar Ivanov

License: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.